import Color from "./Color";
/**
 * Manage list of colors to optimize and merge neighbors colors.
 *
 * @export
 * @class LeafGroup
 */
export default class LeafGroup {
    _count: number;
    _children: Record<number, Color>;
    /**
     * Store colors or groups and _count similiar groups in the image.
     */
    constructor();
    /**
     * Add color to the group.
     *
     * @param _hex Hexadecimal value of the color
     * @param _red Red chanel amount of the color
     * @param _green Green chanel amount of the color
     * @param _blue Blue chanel amount of the color
     * @returns The color
     */
    addColor(_hex: number, _red: number, _green: number, _blue: number): Color;
    /**
     * Get list of groups of list of colors.
     *
     * @returns List of colors
     */
    getList(): Color[];
    /**
     * Representative color of leaf.
     *
     * @returns Main color of the leaf
     */
    createMainColor(): Color;
}
